import { ApplicationDto } from "@smallstack/axios-api-client";
import { Store } from "@smallstack/store";
import { BehaviorSubject } from "rxjs";
export declare const currentApplication$: Store<ApplicationDto>;
export declare const currentPath$: BehaviorSubject<string>;
export declare const bootstrapMethod$: BehaviorSubject<{
    method: "byId" | "byDomain" | "byApplication" | "byPreviewUrl" | "byOrigin";
    value?: any;
    editMode?: boolean;
}>;
